%define upstream_name Module-Build-XSUtil
%define upstream_version 0.16

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A Module::Build class for building XS modules
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Module/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(CPAN::Meta::Prereqs)
BuildRequires: perl(Capture::Tiny)
BuildRequires: perl(Cwd::Guard)
BuildRequires: perl(Cwd::Guard)
BuildRequires: perl(Devel::CheckCompiler) >= 0.20.0
BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::CBuilder)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.400.500
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl(parent)
BuildRequires: perl-devel
BuildArch:  noarch

%description
Module::Build::XSUtil is subclass of Module::Build for support
building XS modules.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml eg
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.160.0-3.mga6
+ Revision: 1029933
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.160.0-2.mga6
+ Revision: 968218
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 0.160.0-1.mga6
+ Revision: 851593
- update to 0.16

* Sat Jun 27 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 845902
- update to 0.15

* Wed Oct 15 2014 umeabot <umeabot> 0.140.0-3.mga5
+ Revision: 745558
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.140.0-2.mga5
+ Revision: 685415
- Mageia 5 Mass Rebuild

* Tue Aug 05 2014 sander85 <sander85> 0.140.0-1.mga5
+ Revision: 659832
- update to 0.14

* Sun Aug 03 2014 sander85 <sander85> 0.130.0-1.mga5
+ Revision: 659417
- update to 0.13

  + jquelin <jquelin>
    - adding missing buildrequires:
    - update to 0.10

* Fri May 02 2014 sander85 <sander85> 0.90.0-1.mga5
+ Revision: 619562
- update to 0.09

* Sat Feb 08 2014 sander85 <sander85> 0.60.0-1.mga5
+ Revision: 586158
- imported package perl-Module-Build-XSUtil

